import type { _NSObject } from "../Foundation/NSObject.js";
import type { _PHFetchResult } from "./PHFetchResult.js";
import type { _PHFetchResultChangeDetails } from "./PHFetchResultChangeDetails.js";
import type { _PHObject } from "./PHObject.js";
import type { _PHObjectChangeDetails } from "./PHObjectChangeDetails.js";
export declare class _PHChange extends _NSObject {
    static alloc(): _PHChange;
    static new(): _PHChange;
    init(): _PHChange;
    changeDetailsForObject$(object_: _PHObject): _PHObjectChangeDetails | null;
    changeDetailsForFetchResult$(object_: _PHFetchResult): _PHFetchResultChangeDetails | null;
}
